<?php
/* --------------------------------------------------------------
   CustomerGroupDeleter.inc.php 2017-09-06
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2017 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

/**
 * Class CustomerGroupDeleter
 *
 * @category   System
 * @package    CustomerGroup
 * @subpackage Repositories
 */
class CustomerGroupDeleter implements CustomerGroupDeleterInterface
{
	/**
	 * @var \CI_DB_query_builder
	 */
	protected $queryBuilder;
	
	
	public function __construct(CI_DB_query_builder $queryBuilder)
	{
		$this->queryBuilder = $queryBuilder;
	}
	
	
	/**
	 * Deletes Customer group entity data in database.
	 *
	 * @param \CustomerGroup $customerGroup Customer group entity to be delete.
	 *
	 * @return $this|\CustomerGroupDeleterInterface Same instance for chained method calls.
	 */
	public function delete(CustomerGroup $customerGroup)
	{
		$this->queryBuilder->delete('customers_status', ['customers_status_id' => $customerGroup->getId()]);
		
		return $this;
	}
}