<?php

/* --------------------------------------------------------------
   GambioHubAdminMenuControl.inc.php 2017-02-22
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2017 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

/**
 * Class GambioHubAdminMenuControl
 * 
 * Replace the old modules page menu item link with Gambio Hub.  
 */
class GambioHubAdminMenuControl extends GambioHubAdminMenuControl_parent
{
	/**
	 * Replaces the payment methods link. 
	 * 
	 * It'll take care of the current version and reference the compatibility page if necessary.
	 * 
	 * @param int $p_customers_id
	 *
	 * @return array 
	 */
	public function get_menu_array($p_customers_id)
	{
		$menu_array = parent::get_menu_array($p_customers_id);
		
		foreach($menu_array as &$menu_block)
		{
			if($menu_block['id'] === 'BOX_HEADING_MODULES' || $menu_block['id'] === 'BOX_HEADING_FAVORITES')
			{
				foreach($menu_block['menuitems'] as &$menu_item)
				{
					if(strpos($menu_item['link'], 'modules.php?set=payment') !== false)
					{
						$menu_item['link'] =  !class_exists('\AdminLayoutHttpControllerResponse')
							? DIR_WS_ADMIN . 'gambio_hub.php?page=payment_methods'
							: DIR_WS_ADMIN . 'admin.php?do=HubConfiguration/PaymentMethods';
					}
				}
			}
		}
		
		return $menu_array;
	}
}